uab.modules.uabStatus_LowMana = uabUnitStatus:NewModule("Low on Mana")
uab.modules.uabStatus_LowMana.defaultDB = {
    disabled = nil,
    threshold = 0.35,
    priority = 50,
    color = { r = 0,    g = 1,    b = 1, a = 1, }
}

function uab.modules.uabStatus_LowMana:OnInitialize()
    self.super.OnInitialize(self)

	self:RegisterUnitStatus(self.name)
end

function uab.modules.uabStatus_LowMana:OnEnable()
end

function uab.modules.uabStatus_LowMana:OnDisable()
end

function uab.modules.uabStatus_LowMana:IsStatusGained(name, unit, action)
	if name == self.name then
	    if not unit then return end
	    local curmana = UnitMana(unit)
	    local maxmana = UnitManaMax(unit)

	    return curmana and maxmana and curmana < (maxmana * self.db.profile.threshold)
	end
end

function uab.modules.uabStatus_LowMana:CreateUnitStatusOptions()
    local option = self:CreateUnitStatusOption(self.db.profile, "Low Mana", "Low Mana")

    option.args["threshold"] = {
        type = 'range',
        name = "Threshold",
        desc = "Low mana threshold",
        order = 40,
        min = 0.05,
        max = 1.00,
        step = 0.05,
        isPercent = true,
        get = function()
            return self.db.profile.threshold
        end,
        set = function(value)
            self.db.profile.threshold = value
        end,
    }
    
    return option
end
